@import "../../../../styles/global/var";

test-artifact {
    display: inline-block;
    vertical-align: middle;
    position: relative;
}

.test-artifact {
    display: inline-block;
    vertical-align: middle;

    &__link {
        color: $gray57c;
        display: inline-flex;
        vertical-align: middle;
        align-items: center;
        &-icon {
            font-size: 16px;
            display: inline-block;
            width: 16px;
            min-width: 16px;
            height: 16px;
            min-height: 16px;
            text-align: center;
            margin-right: 4px;
            color: currentColor;
        }
        &-text {
            white-space: nowrap;
            overflow-x: hidden;
            text-decoration: underline;
        }

        &:hover {
            color: $black;
        }
        &._image:hover {
            cursor: pointer;
        }
    }
}
